Skip to main content
GET
/
api
/
v3
/
profiles
List profiles
curl --request GET \
  --url https://api.dataspike.io/api/v3/profiles \
  --header 'ds-api-token: <api-key>'
{
  "data": [
    {
      "profile_id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11",
      "name": "default",
      "settings": {
        "poi_required": true,
        "poi_allowed_documents": [
          "passport"
        ],
        "face_comparison_required": true,
        "face_comparison_allowed_documents": [
          "selfie"
        ],
        "poa_required": false,
        "allow_poi_manual_uploads": false,
        "allow_desktop": false,
        "disable_cross_check_by_bio": false,
        "disable_cross_check_by_photo": false,
        "disable_verify_poa_country_match_with_poi": false,
        "countries": [
          "FR"
        ],
        "ui_settings": {}
      },
      "organization_id": "<string>",
      "is_default": true,
      "created_at": "2023-07-18T15:32:13.000Z",
      "description": "<string>",
      "updated_at": "2023-07-18T15:32:13.000Z",
      "created_by": "<string>",
      "is_archived": true
    }
  ],
  "has_next": false
}

Authorizations

ds-api-token
string
header
required

Query Parameters

page
integer
default:0

Current page

limit
integer
default:0

Limit of returned items per page

Response

200 - application/json

List of the profiles

data
object[]
required

List of an existing paginated items

has_next
boolean
default:false

This property serves as an indicator of whether there is a next page available in the paginated result